## ros-melodic-autoware-system-msgs 1.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(autoware_system_msgs)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  rosgraph_msgs
  std_msgs
)

add_message_files(
  FILES
    DiagnosticStatus.msg
    DiagnosticStatusArray.msg
    HardwareStatus.msg
    NodeStatus.msg
    SystemStatus.msg
)

generate_messages(DEPENDENCIES
  rosgraph_msgs
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS
    message_runtime
    rosgraph_msgs
    std_msgs
)

=== debian/changelog ===
ros-melodic-autoware-system-msgs (1.14.0-1bionic) bionic; urgency=high



 -- Masaya Kataoka <masaya.kataoka@tier4.jp>  Thu, 03 Sep 2020 05:00:00 -0000

ros-melodic-autoware-system-msgs (1.13.0-1bionic) bionic; urgency=high

  * Update emergency category in DiagnosticStatus message
  * Update package.xml files to Format 2.
  * Contributors: Joshua Whitley, Yuma Nihei

 -- Masaya Kataoka <masaya.kataoka@tier4.jp>  Tue, 03 Dec 2019 06:00:00 -0000

ros-melodic-autoware-system-msgs (1.12.0-1bionic) bionic; urgency=high



 -- Masaya Kataoka <masaya.kataoka@tier4.jp>  Fri, 12 Jul 2019 05:00:00 -0000

ros-melodic-autoware-system-msgs (1.11.0-1bionic) bionic; urgency=high

  * Revert "Fix/health checker (#2012 <https://github.com/CPFL/Autoware/issues/2012>)" (#2037 <https://github.com/CPFL/Autoware/issues/2037>)
    This reverts commit e4187a7138eb90ad6f119eb35f824b16465aefda.
    Reverts #2012 <https://github.com/CPFL/Autoware/issues/2012>
    Merged without adequate description of the bug or fixes made
  * Fix/health checker (#2012 <https://github.com/CPFL/Autoware/issues/2012>)
  * Feature/autoware health analyzer (#2004 <https://github.com/CPFL/Autoware/issues/2004>)
  * Feature/autoware health checker (#1943 <https://github.com/CPFL/Autoware/issues/1943>)
  * Contributors: Geoffrey Biggs, Masaya Kataoka

 -- Masaya Kataoka <masaya.kataoka@tier4.jp>  Thu, 21 Mar 2019 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-autoware-system-msgs
Section: misc
Priority: optional
Maintainer: Masaya Kataoka <masaya.kataoka@tier4.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-rosgraph-msgs, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-autoware-system-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-rosgraph-msgs, ros-melodic-std-msgs
Description: The autoware_system_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-autoware-system-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
